package types

import "gitp78su.ipnodns.ru/svi/goarch/lev0/alias"

// IViewOffset -- интерфейс смещения
type IViewOffset interface {
	// X -- возвращает смещение X
	X() alias.CoordX
	// Y -- возвращает смещение Y
	Y() alias.CoordY
	// Int -- возвращает смещение
	Int() (int, int)
	// Get -- возвращает смещение
	Get() (alias.CoordX, alias.CoordY)
}
